/* global BDF */

BDF.CommandTest = {};

BDF.CommandTest.submit = false;

BDF.CommandTest.success = function (data) {
    BDF.CommandTest.submit = true;
    if (data.commandMessage) {
        if (data.commandMessage.type === "error") {
            var alertText = "";
            if (data.commandMessage.text) {
                alertText = alertText + data.commandMessage.text;
            } else {
                alertText = alertText + data.commandMessage.key;
            }
            if (data.commandMessage.multiErrorMessageArray) {
                let array = data.commandMessage.multiErrorMessageArray;
                let length = array.length;
                let min;
                if (length < 8) {
                    min = length;
                } else {
                    min = 5;
                }
                for(let i = 0; i < min; i++) {
                    let obj = array[i];
                    alertText = alertText + "\n\n      - ";
                    if (obj.text) {
                        alertText = alertText + obj.text;
                    } else {
                        alertText = alertText + obj.key;
                    }
                }
                if (length > 7) {
                    let remain = length - 5;
                    alertText = alertText + "\n\n      " + BDF.Loc.get("_ warning.global.remainingerrors", remain);
                }
                
            }
            alert(alertText);
            BDF.CommandTest.submit = false;
        }
    }
};

$(function () {
    $("form[data-test!='ignore']").submit(function() {
        var $this = $(this);
        if (BDF.CodeMirrorMode) {
            BDF.CodeMirrorMode.beforeSerialize($this);
        }
        $this.ajaxSubmit({
            async: false,
            filtering: function(el, index) {
                if ((!el.type) || (!el.type.toLowerCase) || (el.type.toLowerCase() !== 'file')) {
                    return el;
                }
            },
            dataType: "json",
            data: {
                jsontype: "json",
            	test: "true"
            },
            success: BDF.CommandTest.success
        });
        return BDF.CommandTest.submit;
    });
});
