/**
 * Objet global définissant l'espace de nom FicheQL
 * 
 * @namespace FicheQL
 */
var FicheQL = {};

FicheQL.MODE_AND = 'and';
FicheQL.MODE_OR = 'or';
FicheQL.DISCARDFILTER_ALL = 'all';
FicheQL.DISCARDFILTER_NONE = 'none';
FicheQL.DISCARDFILTER_ONLY = 'only';
FicheQL.DATE_SAME = 'same';
FicheQL.REDACTEURFILTER_ALL = 'all';
FicheQL.REDACTEURFILTER_NONE = 'none';
FicheQL.REDACTEURFILTER_ANY = 'any';
FicheQL.REDACTEURFILTER_SOME = 'some';
FicheQL.SCOPE_TITRE = 'titre';
FicheQL.SCOPE_ENTETE = 'entete';
FicheQL.SCOPE_FICHE = 'fiche';
FicheQL.SCOPE_SELECTION = 'selection';
FicheQL.SCOPE_IDALPHA_ONLY = "idalpha_only";
FicheQL.SCOPE_IDALPHA_WITH = "idalpha_with";
FicheQL.SCOPE_IDALPHA_WITHOUT = "idalpha_without";

FicheQL.escape = function (text) {
    var result = '';
    for(var i = 0; i < text.length; i++) {
        carac = text.charAt(i);
        switch (carac) {
            case '&':
                result += '&amp;';
                break;
            case '"':
                result += '&quot;';
                break;
            case '<':
                result += '&lt;';
                break;
            case '>':
                result += '&gt;';
                break;
            case '\'':
                result += '&#x27;';
                break;
            default:
                result += carac;
        }
    }
    return result;
};

FicheQL.addRange = function (array, start, end) {
    if (!end) {
        array.push(start);
    } else if (start < 1) {
        array.push('-' + end);
    } else if (end < 1) {
        array.push(start + '-');
    } else {
        array.push(start + '-' + end);
    }
    return array;
};

FicheQL.toRangeArray = function (value) {
    var result = new Array();
    var array = value.toString().split(";");
    for(var i = 0, len = array.length; i < len; i++) {
        var val = array[i].trim();
        if (val.length > 0) {
            result.push(val);
        }
    }
    return result;
};
