/* global BDF,Edition,CodeMirror,Infinity,Ficheform,$$,ID */
/**
 * Objet global définissant l'espace de nom History
  * 
 * @namespace Zoomedit
 */
var Zoomedit = {};

Zoomedit.ARGS = {
    clientId: "",
    appelant: ""
};

Zoomedit.init = function (args) {
    var zoomeditId = BDF.generateId();
    var appelantId = args.appelant;
    var codeMirrorUnit, sectionTextArea;
    $$(args.clientId).html(BDF.render("zoomedit:client", {
        zoomeditId: zoomeditId
    }));
    Ficheform.Section.ficheElement = window.opener.document;
    sectionTextArea = _initSectionTextArea();
    codeMirrorUnit = Ficheform.Section.initSectionCodeMirror("body", sectionTextArea, false);
    $$(zoomeditId, "save").click(_updateAppelant);
    $(window).on('unload', _updateAppelant);
    
    
    function _initSectionTextArea() {
        let textArea = ID(zoomeditId, "section");
        let appelantElement =  _getAppelantTextArea();
        textArea.value = appelantElement.value;
        appelantElement.classList.add("ficheform-ZoomedArea");
        return textArea;
    }
    
    function _updateAppelant() {
        codeMirrorUnit.codeMirror.save();
        let appelantElement =  _getAppelantTextArea();
        appelantElement.value = sectionTextArea.value;
        appelantElement.classList.remove("ficheform-ZoomedArea");
        window.close();
    }
    
    function _getAppelantTextArea() {
        return window.opener.document.getElementById(appelantId);
    }
};


$(function () {
    BDF.initTemplates();
    Zoomedit.init(Zoomedit.ARGS);
});
